Bug 181360 - [PATCH] unbreak archivers/quazip
Summary: [PATCH] unbreak archivers/quazip
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-17 21:20 UTC by John Marino
Modified: 2013-08-28 16:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.22 KB, patch)
2013-08-17 21:20 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-08-17 21:20:00 UTC
The previous added gzip patch is incorrect, causes quazip to break with the newer zlib.  The provided diff will fix that patch, remove the BROKEN definition, and bump the PORTREVISION.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-08-17 21:20:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-08-28 16:41:08 UTC
Author: nivit
Date: Wed Aug 28 15:40:54 2013
New Revision: 325540
URL: http://svnweb.freebsd.org/changeset/ports/325540

Log:
  - Unbreak the port by a patch suitable for the newer zlib
  
  PR:	ports/181360
  Submitted by:	marino

Modified:
  head/archivers/quazip/Makefile
  head/archivers/quazip/files/patch-qztest__testquagzipfile.cpp

Modified: head/archivers/quazip/Makefile
==============================================================================
--- head/archivers/quazip/Makefile	Wed Aug 28 15:25:18 2013	(r325539)
+++ head/archivers/quazip/Makefile	Wed Aug 28 15:40:54 2013	(r325540)
@@ -12,8 +12,6 @@ COMMENT=	Qt/C++ wrapper for ZIP/UNZIP pa
 
 LICENSE=	LGPL21
 
-BROKEN=		Does not build
-
 QMAKE_ARGS=	PREFIX=${PREFIX} ${QMAKE_PRO}
 QMAKE_PRO=	${WRKSRC}/${PORTNAME}.pro
 

Modified: head/archivers/quazip/files/patch-qztest__testquagzipfile.cpp
==============================================================================
--- head/archivers/quazip/files/patch-qztest__testquagzipfile.cpp	Wed Aug 28 15:25:18 2013	(r325539)
+++ head/archivers/quazip/files/patch-qztest__testquagzipfile.cpp	Wed Aug 28 15:40:54 2013	(r325540)
@@ -1,20 +1,30 @@
---- ./qztest/testquagzipfile.cpp.orig	2013-06-15 14:53:18.000000000 +0200
-+++ ./qztest/testquagzipfile.cpp	2013-06-15 14:51:57.000000000 +0200
-@@ -8,7 +8,7 @@
+--- qztest/testquagzipfile.cpp.orig	2012-09-05 15:24:35.000000000 +0000
++++ qztest/testquagzipfile.cpp
+@@ -8,9 +8,9 @@ void TestQuaGzipFile::read()
  {
      QDir curDir;
      curDir.mkpath("tmp");
 -    voidp gzFile = gzopen("tmp/test.gz", "wb");
-+    gzFile_s* /*voidp*/ gzFile = gzopen("tmp/test.gz", "wb");
-     gzwrite(gzFile, "test", 4);
-     gzclose(gzFile);
+-    gzwrite(gzFile, "test", 4);
+-    gzclose(gzFile);
++    gzFile gzf = gzopen("tmp/test.gz", "wb");
++    gzwrite(gzf, "test", 4);
++    gzclose(gzf);
      QuaGzipFile testFile("tmp/test.gz");
-@@ -32,7 +32,7 @@
+     QVERIFY(testFile.open(QIODevice::ReadOnly));
+     char buf[5];
+@@ -32,11 +32,11 @@ void TestQuaGzipFile::write()
      QCOMPARE(testFile.write("test", 4), static_cast<qint64>(4));
      testFile.close();
      QVERIFY(!testFile.isOpen());
 -    voidp gzFile = gzopen("tmp/test.gz", "rb");
-+    gzFile_s* /*voidp*/ gzFile = gzopen("tmp/test.gz", "rb");
++    gzFile gzf = gzopen("tmp/test.gz", "rb");
      char buf[5];
      buf[4] = '\0';
-     QCOMPARE(gzread(gzFile, buf, 5), 4);
+-    QCOMPARE(gzread(gzFile, buf, 5), 4);
+-    gzclose(gzFile);
++    QCOMPARE(gzread(gzf, buf, 5), 4);
++    gzclose(gzf);
+     QCOMPARE(static_cast<const char*>(buf), "test");
+     curDir.remove("tmp/test.gz");
+     curDir.rmdir("tmp");
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Nicola Vitale freebsd_committer 2013-08-28 16:44:57 UTC
State Changed
From-To: open->closed

Committed, thanks!